[global]
	security = password
	encrypt passwords = yes

	netbios name = STAFF2
	workgroup = SOL
	server string = Personalserver

	passdb backend = ldapsam:"ldap://localhost ldap://student.sol.lu.se"
	ldap admin dn = "cn=Manager,ou=People,dc=sol,dc=lu,dc=se"
	ldap user suffix = ou=People
	ldap group suffix = ou=Groups
# BUG in samba so computers is stored in People ou
# See page 149 in Samba by Example
#	ldap machine suffix = ou=Computers
	ldap machine suffix = ou=People
	ldap suffix = dc=sol,dc=lu,dc=se
	ldap ssl = on  #start tls

	# BDC (Inte än)
	domain master = no
	# domain logons = yes
	wins server = 130.235.148.230

	unix charset = UTF8
	log level = 1 auth:2
	
	ldap passwd sync = yes


	add machine script = /usr/sbin/smbldap-useradd -w "%u"


# Printing
	printing = cups
	printcap = /etc/printcap
	# This option tells cups that the data has already been rasterized
	cups options = raw

[printers]
	path = /var/spool/samba
	printable = yes
	public = yes
	writable = no 
	use client driver = yes
	
[homes]
	comment = Hemmamapp för %u
	read only = no
	create mode = 0600
	directory mode = 0700
	browsable = no

[netlogon]
	path = /samba/netlogon
	locking = no
	read only = yes
	browsable = no
	locking = no

[profiles]
	path = /samba/profiles
	read only = no
	writable = yes
	create mode = 0600
	directory mode = 0700
	browsable = no

### Below is shares which are used by Mac OS X
[home]
	comment = used by Mac OS X
	path = /home
	read only = no
	create mode = 0600
	directory mode = 0700
	browsable = no
[home2]
	comment = used by Mac OS X
	path = /home2
	read only = no
	create mode = 0600
	directory mode = 0700
	browsable = no
	
[GU-material]
	comment = Studentmaterial
	path = /GU-material
	browsable = yes
	writable = yes
	force create mode = 0664
 	force directory mode = 2775
	

[Grupper]
	comment = Olika grupper
	path = /grupper
	read only = no
	browsable = yes
	valid users = @staff @bibliotek
	create mode = 0660
	directory mode = 2770

[Teknikgrupp]
	comment = Delad mapp för teknikgrupp
	path = /teknikgrupp
	valid users = @teknikgrupp
	read only = no
	create mode = 0660
 	directory mode = 2770
	browsable = yes

[Delad]
	comment = Delad av alla
	path = /delad
	read only = no
	create mode = 0666
	directory mode = 0777
	browsable = yes
	valid users = @staff
	

